CHAT_MSG_CHANNEL
function(_,msg,sender,_,channel)
	sender = string.match(sender, "%a+")
	msg = string.lower(msg, "%u", "%l")
	local ignore = 1
	local filter = {"%[fuck", "baby", "thunderfury", "anal"}
	if channel == "1. global_en" then
		for i = 1, table.getn(filter) do
			if string.match(msg, filter[i]) then
				local _,friendson = GetNumFriends()
				for j = 1, friendson do
					if sender == GetFriendInfo(j) then
						ignore = 0
						break
					end
				end
				if ignore == 1 then
					if not IsIgnored(sender) then
						AddIgnore(sender)
						print("IGNORING " .. sender .. " because of |cFFFF7F7F" .. msg)
						aura_env.ignoreList[aura_env.pointer] = sender
						aura_env.pointer = aura_env.pointer + 1
					end
				end
			end
		end
	end
end

DISPLAY
function()
	local output = ""
	for k,v in pairs(aura_env.ignoreList) do
		output = output .. v .. "\n"
	end
	return output
end

INIT
aura_env.ignoreList = {}
aura_env.pointer = 1

/run for i = 1, GetNumGuildMembers() do local name = GetGuildRosterInfo(i); name = string.match(name, "%a+"); DelIgnore(name) end
